<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>告警参数</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="../../lib/layui-v2.6.3/css/layui.css" media="all">
    <link rel="stylesheet" href="../../css/public.css" media="all">
    <style>
        body {
            background-color: #ffffff;
        }
    </style>
</head>
<body>

    <div class="layui-form layuimini-form">
        <div class="layui-form-item">
            <label class="layui-form-label required">设备类型</label>
            <div class="layui-input-inline">
                <select name="devicetype" id="devicetype" lay-verify="required" lay-search="">
                    <option value="1">GNSS</option>
                    <option value="2">光伏DTU</option>
                    <option value="3">测斜仪</option>
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label required">告警类型</label>
            <div class="layui-input-inline">
                <select name="type" id="type" lay-verify="required" lay-search="">
                    <option th:each="item : ${warn_map}" th:text="${item.value}" th:value="${item.key}"></option>
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label required">告警门限</label>
            <div class="layui-input-block">
                <input type="number" name="value" id="value" placeholder="请输入门限值" value="" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label required">告警等级</label>
            <div class="layui-input-inline">
                <select name="level" id="level" lay-verify="required" lay-search="">
                    <option value="1">一般</option>
                    <option value="2">严重</option>
                </select>
            </div>
        </div>


        <div class="layui-form-item">
            <div class="layui-input-block">
                <button class="layui-btn layui-btn-normal" lay-submit lay-filter="saveBtn">确认保存</button>
            </div>
        </div>
    </div>
    <script src="../../lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
    <script>
        layui.use(['form'], function () {
            var form = layui.form,
                $ = layui.$;
            var iframeIndex = parent.layer.getFrameIndex(window.name);

            //监听提交
            form.on('submit(saveBtn)', function (data) {
                $.ajax({
                    type:"POST",
                    url:"/warning/update",
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(data.field),
                    success: function (result) {
                        parent.onCfgUpdated();
                        parent.layer.close(iframeIndex);
                    },
                    error: function () {
                        console.log("ajax error");
                        parent.layer.close(iframeIndex);
                    }
                });

                return false;
            });

        });

        function setParams(data){
            var form = layui.form,
                $ = layui.$;
            var device_type = $('#devicetype');
            device_type.val(data.devicetype);
            device_type.attr('readonly',true);
            var warning_type = $('#type');
            warning_type.val(data.type);
            warning_type.attr('readonly',true);
            $('#value').val(data.value);
            $('#level').val(data.level);
            form.render();
        }
    </script>

</body>
</html>